-- lighting canvas (.1,.1) has light in upper-left corner, (1,1) at lower-right
local shade  = love.graphics.newShader [[
	extern float x, y, dec;
	vec4 effect(vec4 global_color, Image texture, vec2 tc, vec2 pc )
	{
	float root = sqrt( (x-tc.x) * (x-tc.x) + (y-tc.y) * (y-tc.y) );
	vec4 pixel = Texel( texture, vec2( tc.x, tc.y ) );
		pixel.r = clamp( pixel.r - dec*root, 0.01, 1.0 );
		pixel.g = clamp( pixel.g - dec*root, 0.01, 1.0 );
		pixel.b = clamp( pixel.b - dec*root, 0.01, 1.0 );
		pixel.a = pixel.a;
	return pixel;
	}
	]]
return shade
